package de.duehl.math.graph.ged.ui;

import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import de.duehl.math.graph.ged.logic.Logic;

/**
 * Dieses Klasse regelt das Beenden des Hauptprogramms über das kleine x oben
 * am Fenster.
 *
 * @version 1.01     2012-08-28
 * @author Christian Dühl
 */

public class GedWindowListener implements WindowListener {

    private Logic logic;

    public GedWindowListener(Logic logic) {
        this.logic = logic;
    }

    @Override
    public void windowActivated(WindowEvent arg0) {
    }

    @Override
    public void windowClosed(WindowEvent arg0) {
    }

    @Override
    public void windowClosing(WindowEvent arg0) {
        logic.quitProgram();
    }

    @Override
    public void windowDeactivated(WindowEvent arg0) {
    }

    @Override
    public void windowDeiconified(WindowEvent arg0) {
    }

    @Override
    public void windowIconified(WindowEvent arg0) {
    }

    @Override
    public void windowOpened(WindowEvent arg0) {
    }

}
