package de.duehl.algorithm.backtracking.eightqueens.unused;

public enum File {

    _A_(0),
    _B_(1),
    _C_(2),
    _D_(3),
    _E_(4),
    _F_(5),
    _G_(6),
    _H_(7);

    private final int index;

    private File(int index) {
        this.index = index;
    }

    public int getIndex() {
        return index;
    }

    public static File getByIndex(int index) {
        for (File file : values()) {
            if (file.getIndex() == index) {
                return file;
            }
        }
        throw new IllegalArgumentException("Unknown file for index " + index);
    }

}
