package de.duehl.swing.ui.components.elements;

import java.awt.BorderLayout;

/**
 * Diese Klasse stellt ein Element mit einer Überschrift links und einem frei bearbeitbaren Text
 * rechts daneben dar.
 *
 * @version 1.01     2019-05-23
 * @author Christian Dühl
 */

public class HorizontalTextFieldWithTitle extends TextFieldWithTitle {

    public HorizontalTextFieldWithTitle(String title) {
        super(title);
    }

    @Override
    protected String getTitleBorderLayoutOrientation() {
        return BorderLayout.WEST;
    }

    @Override
    protected String getTextFieldBorderLayoutOrientation() {
        return BorderLayout.CENTER;
    }

}
