package de.duehl.swing.ui.components.elements;

import java.text.DecimalFormat;

import javax.swing.JFormattedTextField;
import javax.swing.JTextField;

/**
 * Diese Klasse stellt ein Element mit einer Überschrift oben und einem frei bearbeitbaren,
 * numerischen Text darunter dar.
 *
 * @version 1.01     2019-05-23
 * @author Christian Dühl
 */

public class NumericTextFieldWithTitle extends TextFieldWithTitle {

    public NumericTextFieldWithTitle(String title) {
        super(title);
    }

    @Override
    protected JTextField createTextField() {
        return new JFormattedTextField(
                DecimalFormat.getInstance());
    }

}
